MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
UPnPDevice Class Reference

Data holder for a UPnP device, parsed from the XML description obtained during discovery. More...

`#include <Device.hxx>`

## Public Member Functions
| UPnPDevice ()=default
| UPnPDevice (const UPnPDevice &)=delete
| UPnPDevice (UPnPDevice &&)=default
UPnPDevice & | operator= (UPnPDevice &&)=default
| ~UPnPDevice ()
void | Parse (const std::string &url, const char *description)
| Build device from xml description downloaded from discovery. More...

## Data Fields
std::string | deviceType
std::string | friendlyName
std::string | UDN
std::string | URLBase
std::string | manufacturer
std::string | modelName
std::vector< UPnPService > | services

## Detailed Description

Data holder for a UPnP device, parsed from the XML description obtained during discovery.

A device may include several services. To be of interest to us, one of them must be a ContentDirectory.

Definition at line 53 of file Device.hxx.

## Constructor & Destructor Documentation

UPnPDevice::UPnPDevice | ( |  | ) |
| default

UPnPDevice::UPnPDevice | ( | const UPnPDevice & |  | ) |
| delete

UPnPDevice::UPnPDevice | ( | UPnPDevice && |  | ) |
| default

UPnPDevice::~UPnPDevice | ( |  | ) |

## Member Function Documentation

UPnPDevice& UPnPDevice::operator= | ( | UPnPDevice && |  | ) |
| default

void UPnPDevice::Parse | ( | const std::string & | url,
|  | const char * | description
| ) |  |

Build device from xml description downloaded from discovery.

Parameters

  url | where the description came from
  description | the xml device description

## Field Documentation

std::string UPnPDevice::deviceType

Definition at line 56 of file Device.hxx.

std::string UPnPDevice::friendlyName

Definition at line 58 of file Device.hxx.

std::string UPnPDevice::manufacturer

Definition at line 65 of file Device.hxx.

std::string UPnPDevice::modelName

Definition at line 67 of file Device.hxx.

std::vector<UPnPService> UPnPDevice::services

Definition at line 69 of file Device.hxx.

std::string UPnPDevice::UDN

Definition at line 61 of file Device.hxx.

std::string UPnPDevice::URLBase

Definition at line 63 of file Device.hxx.

The documentation for this class was generated from the following file:

- lib/upnp/Device.hxx